/*
Nome: Mario
Cognome: Montanari
Classe: 3AIN
Data: 10/04/2025

es08. (accodaparole)
Dopo aver creato due file di testo parole1.txt e parole2.txt, ciascuno contenente
un elenco di parole separate da uno spazio, scrivere un programma che accodi il
contenuto del primo file al secondo file. Alla fine dell'esecuzione, osservare il
contenuto del secondo file con un editor testuale.
*/

#include <iostream>

#define SIZE_LINE 1000+1

using namespace std;

void accordaParole(const char * nomeFileSorgente, const char * nomeFileDestinazione);

int main(void) {
	accordaParole("parole1.txt", "parole2.txt");
	
	return 0;
}

void accordaParole(const char * nomeFileSorgente, const char * nomeFileDestinazione) {
	FILE * fr = fopen(nomeFileSorgente, "rt");
	
	if (fr != NULL) {
		FILE * fw = fopen(nomeFileDestinazione, "a+t");
		
		if (fw != NULL) {
			char str[SIZE_LINE];
			
			fputs("\n", fw);
			while (fgets(str, sizeof(str), fr) != NULL) {
				fputs(str, fw);
			}
			
			fclose(fw);
		} else {
			perror("Error (destination)");
		}
		
		fclose(fr);
	} else {
		perror("Error (source)");
	}
}